#!/usr/bin/env python

# NOTE: Path manipulation requires manual customisation.

import sys
sys.path.append("/home/paulb/Software/Python/WebStack")
sys.path.append("/home/paulb/Software/Python/WebStack/examples/Common")

from WebStack.Adapters import WSGI
from WebStack.Resources.Login import LoginResource, LoginAuthenticator
from wsgi_cgi import run_with_cgi

resource = LoginResource(
    LoginAuthenticator(
        secret_key="horses",
        credentials=(
            ("badger", "abc"),
            ("vole", "xyz"),
        )
    )
)

# Special magic incantation.

handler = WSGI.WSGIAdapter(resource)
run_with_cgi(handler)

# vim: tabstop=4 expandtab shiftwidth=4
